=== debian/changelog ===
libnetaid (1.5.3-1+6genuen1) unstable; urgency=medium

  * Add support in iproute.c for IPv6 and point to point tunnels
  * New upstream version 1.5.3

 -- Aitor <aitor@genuen.org>  Sun, 25 Jan 2026 19:38:11 +0100

libnetaid (1.5.2-1+5gnuinos1) unstable; urgency=medium

  * Remove superfluous header <net/if.h> that generates conflicts under 32 bit
  * New upstream version 1.5.2

 -- Aitor <aitor_czr@gnuinos.org>  Wed, 17 Apr 2024 19:52:36 +0200

libnetaid (1.5.1-1+5gnuinos1) unstable; urgency=medium

  * Change version numbering scheme
  * Move conflictive header linux/if.h from ethlink.h to ethlink.c
  * Determine the path of ifquery before usage (require due to the 
    recent usr merge)
  * New upstream version 1.5.1

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 30 Mar 2024 09:06:45 +0100

libnetaid (1.5-1) unstable; urgency=medium

  * Fix segmentation fault
  * New upstream version 1.5

 -- Aitor <aitor_czr@gnuinos.org>  Tue, 05 Sep 2023 00:51:47 +0200

libnetaid (1.4-1) unstable; urgency=medium

  * Remove dependence on procps
  * New upstream version

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 20 May 2023 12:09:05 +0200

libnetaid (1.3-1) unstable; urgency=medium

  * Change to GNU Make build system.
  * Match package name with shared libraries soname.
  * Fix lintian errors and warnings.

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 11 Dec 2022 13:51:39 +0100

libnetaid (1.2-1) chimaera; urgency=medium

  * Move those helpers requiring system calls to snetaid
  * Removed the linux capkill capability in favor of OpenWRT's software bus, 
    implemented in snetaid (ubus). 
  * Fix some warnings in the returned values in print_route
  * New upstream version 1.2

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 27 Mar 2022 11:28:14 +0200

libnetaid (1.1-1) unstable; urgency=medium

  * Fix a bug getting the rtnh_flags in iproute.c
  * New upstream version 1.1

 -- Aitor <aitor_czr@gnuinos.org>  Fri, 04 Feb 2022 23:06:35 +0100

libnetaid (1.0-1) unstable; urgency=medium

  * Bump to 1.0

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 03 Oct 2021 02:43:38 +0200

libnetaid (0.1-1) unstable;  urgency=low

  * Initial release.

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 29 Feb 2020 11:22:01 +0100
