=== debian/control ===
Source: libnetaid
Section: net
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor@genuen.org>
Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.16.1~), libiw-dev (>= 30~), libpstat-dev (>= 0.3-1~)
Standards-Version: 4.5.1
Origin: Genuen
Homepage: https://genuen.org

Package: libnetaid1
Section: libs
Architecture: linux-any
Multi-Arch: same
Conflicts: libnetaid, libnetaid0
Replaces: libnetaid, libnetaid0
Suggests: ifupdown, wpasupplicant
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, 
  libiw30 (>= 30~)
Description: Simple-netaid tools - library
 This package contains the shared libnetaid library.

Package: libnetaid-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libnetaid1 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: Simple-netaid tools - development files
 This package contains the header files and static version of libnetaid.
